be.fgov.ehealth.aa.complextype.v1

## Class SupportedOrganization

- java.lang.Object
- - be.fgov.ehealth.aa.complextype.v1.OrganizationDescriberType
  - - be.fgov.ehealth.aa.complextype.v1.SupportedOrganization

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2023-09-11T10:32:55+02:00",
                 comments="JAXB RI v2.3.7")
      public class SupportedOrganization
      extends OrganizationDescriberType
      implements Serializable

  Info on supported organization.

  Java class for SupportedOrganizationType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="SupportedOrganizationType">
         <complexContent>
           <extension base="{urn:be:fgov:ehealth:aa:complextype:v1}OrganizationDescriberType">
             <attribute ref="{urn:be:fgov:ehealth:aa:complextype:v1}resourceEnumeration use="required""/>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SupportedOrganization()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getResourceEnumeration()` Gets the value of the resourceEnumeration property.
    `void` | `setResourceEnumeration(String value)` Sets the value of the resourceEnumeration property.

    - ### Methods inherited from class be.fgov.ehealth.aa.complextype.v1.OrganizationDescriberType

      `getAllowedBaseServices, getAttribute, getCheckDigit, getOrganizationType, getOrganizationTypeCode, getOrganizationTypeFriendlyNames, getRegex, setAllowedBaseServices, setAttribute, setCheckDigit, setOrganizationType, setOrganizationTypeCode, setRegex`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SupportedOrganization

          public SupportedOrganization()

  - ### Method Detail

    - #### getResourceEnumeration

          public String getResourceEnumeration()

      Gets the value of the resourceEnumeration property.
      Returns:
        possible object is `String`

    - #### setResourceEnumeration

          public void setResourceEnumeration(String value)

      Sets the value of the resourceEnumeration property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.4.0 API
Copyright © {inceptionYear}-2023 eHealth. All Rights Reserved.